## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractListPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractListPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

Direct Known Subclasses:
  AbstractReferencePropertySection

    public abstract class AbstractListPropertySection

extends AbstractTabbedPropertySection

An abstract implementation of a section with a list. It represents a list field. Creation 9 aug. 2006

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractListPropertySection()`

Method Summary
`protected void` `addElement()` This method may be overriden if client want to implement their own add treatment
`void` `createControls(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage aTabbedPropertySheetPage)`
`protected void` `createWidgets(org.eclipse.swt.widgets.Composite composite)` Section widgets should be created inside this method.
`protected abstract org.eclipse.jface.viewers.IBaseLabelProvider` `getLabelProvider()` Returns a label provider to be set for this table.
`protected abstract java.lang.Object` `getListValues()` Returns the feature which is multiple
`TableViewerComposite` `getTable()`
`protected void` `hookListeners()` Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events.
`void` `refresh()`
`protected void` `setSectionData(org.eclipse.swt.widgets.Composite composite)` This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`.
`protected void` `setTable(TableViewerComposite table)` Set the table
`void` `updateSelection(java.lang.Object data)` This method may be overriden if client desire to listen the table selection

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, adaptToEObject, addListener, clearDecorators, createCommand, getActivePage, getEditingDomain, getEObject, getEObjectList, getFeature, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractListPropertySection

    public AbstractListPropertySection()

Method Detail

### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `createControls` in class `AbstractTabbedPropertySection`
  See Also:
    `AbstractTabbedPropertySection.createControls(org.eclipse.swt.widgets.Composite, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage)`

### createWidgets

    protected void createWidgets(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  Section widgets should be created inside this method. To set the layout data please implement the `AbstractTabbedPropertySection.setSectionData(Composite)` If widgets has listeners implement the `AbstractTabbedPropertySection.hookListeners()`.

  Overrides:
    `createWidgets` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - the parent Composite
  See Also:
    `AbstractTabbedPropertySection.createWidgets(org.eclipse.swt.widgets.Composite)`

### setSectionData

    protected void setSectionData(org.eclipse.swt.widgets.Composite composite)

  Description copied from class: `AbstractTabbedPropertySection`
  This method should be implemented to set layout data to the widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)`. This improves visibility

  Overrides:
    `setSectionData` in class `AbstractTabbedPropertySection`
  Parameters:
    `composite` - Sometimes widgets will be set formDatas and position will depend on parent composite.
  See Also:
    `AbstractTabbedPropertySection.setSectionData(org.eclipse.swt.widgets.Composite)`

### hookListeners

    protected void hookListeners()

  Description copied from class: `AbstractTabbedPropertySection`
  Widgets created at `AbstractTabbedPropertySection.createWidgets(Composite)` may listen platform events. Set them here in order to improve visibility

  Overrides:
    `hookListeners` in class `AbstractTabbedPropertySection`
  See Also:
    `AbstractTabbedPropertySection.hookListeners()`

### addElement

    protected void addElement()

  This method may be overriden if client want to implement their own add treatment

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `refresh` in class `org.eclipse.ui.views.properties.tabbed.AbstractPropertySection`
  See Also:
    `AbstractPropertySection.refresh()`

### getTable

    public TableViewerComposite getTable()

  Returns:
    the table

### setTable

    protected void setTable(TableViewerComposite table)

  Set the table

  Parameters:
    `table` -

### updateSelection

    public void updateSelection(java.lang.Object data)

  This method may be overriden if client desire to listen the table selection

  Parameters:
    `data` - the selected data from the listened table.

### getListValues

    protected abstract java.lang.Object getListValues()

  Returns the feature which is multiple

  Returns:
    Object This object is an instance of a java.util.List

### getLabelProvider

    protected abstract org.eclipse.jface.viewers.IBaseLabelProvider getLabelProvider()

  Returns a label provider to be set for this table.

  Returns:
    The Label provider. It may be null when client handles attributes.

Copyright 2007 Anyware Technologies. All Rights Reserved.